# Traefik Deployment Repository

Deployment of Traefik using Docker Compose.

## Configurable Environment Variables

### General Service Configuration
- `IMAGE`: The Docker image for Traefik. Default: `traefik`.
- `VERSION`: The version tag of the Docker image. Default: `latest`.
- `NAME`: The name assigned to the running container. Default: `traefik`.

### Networking
- `NETWORK`: Specifies Traefik's Docker network name. Default: `traefik`.
- `HTTP_PORT`: Map a custom host port to port 80 in the container, formatted as [HOST:]CONTAINER. Default: `80:80`.
- `HTTPS_PORT`: Map a custom host port to port 443 in the container, formatted as [HOST:]CONTAINER. Default: `443:443`.

### Traefik Labels
- `ROUTER`: Defines the name of the Traefik's own router. Default: `traefik`.
- `DOMAIN`: Set the domain on which Traefik is accessible. Default: `traefik.local.krislamo.org`.
- `ENABLE`: Boolean that indicates whether the dashboard is accessable. Default: `false`.

### Example .env

```txt
VERSION=latest
DOMAIN=traefik.local.example.org
ENABLE=false
HTTP_PORT=127.0.0.1:8000:80
HTTPS_PORT=127.0.0.1:8443:443
```
